Subject: Re: [PATCH] Revert "mm: fix MAX_FOLIO_ORDER on powerpc configs with hugetlb"

From: Mike Rapoport <[email-masked]>
Date: Fri, 5 Dec 2025 08:50:11 +0200

On Thu, Dec 04, 2025 at 04:23:36PM -0700, Shuah Khan wrote:
> On 12/4/25 15:16, David Hildenbrand (Red Hat) wrote:
> > On 12/4/25 03:33, Shuah Khan wrote:
> > > This reverts commit 39231e8d6ba7f794b566fd91ebd88c0834a23b98.
> > > 
> > > Enabling HAVE_GIGANTIC_FOLIOS broke kernel build and git clone on two
> > > systems. git fetch-pack fails when cloning large repos and make hangs
> > > or errors out of Makefile.build with Error: 139.
> > 
> > Looking at the last part, "Error 139" was confirmed to be fixed in 6.18, right? At least reading [1] there I find
> > 
> > "it was issue of 6.18.0-rc6 kernel itself. After switching to default Arch Linux kernel build went without problem and I'm now on 6.18 stable kernel."
> > 
> > Did you mange to report the make issue you reported here [2] on 6.18 as well, or only pre 6.18-rc7?
> 
> The problems I saw were on rc6. See below.
> 
> Repeating what I said on the thread so we are all in the
> loop and on the same page. It took me a bit of time to
> retest on two systems.
> 
> Both my systems were running rc6 - I was stuck in a state
> where I was able to rebase to rc7 and then 6.18, but could
> never build either one.
> 
> When I suspected rc6 to be the problem, I booted rc5 and compiled 6.18
> after reverting 39231e8d6ba based on config file changes between rc5
> and rc6.
> 
> I retested on both systems on 6.18 making sure I have 5bebe8de19264
> and 39231e8d6ba in there. I cloned linux_next and built it on both.
> 
> I didn't see any problems on 6.18. Having said that, It might make
> sense to hold off on including 39231e8d6ba in 6.18 so there is more
> time to test beyond 2 rc cycles. That is for you all to decide.

I am able to reproduce both git and make issues on v6.18-rc6 with
39231e8d6ba reverted. If I apply 5bebe8de19264 on top of v6.18-rc6 the
issues do not reproduce.

The issues do not reproduce on 6.18 that has both 39231e8d6ba and
5bebe8de19264 that again confirms that 39231e8d6ba has nothing to do with
those issues.
 
> thanks,
> -- Shuah

-- 
Sincerely yours,
Mike.